package com.das.modules.auth.domain.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @author chenhaojie
 * @Description
 */
@Data
public class LoginVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 新token
     */
    private String accessToken;

    /**
     *刷新token
     */
    private String refreshToken;

    private String msg;


    /**
     *过期时间 秒
     */
    private Integer expire;

    public LoginVO(){}

    public LoginVO(String accessToken, String refreshToken , Integer expire, String msg){
        this.refreshToken = refreshToken;
        this.accessToken = accessToken;
        this.expire = expire;
        this.msg = msg;
    }

    public LoginVO(String accessToken, String refreshToken , Integer expire){
        this.refreshToken = refreshToken;
        this.accessToken = accessToken;
        this.expire = expire;
    }

}
